apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor
metadata:
  name: minio
  namespace: monitoring
  labels:
    release: kube-prometheus-stack
spec:
  namespaceSelector:
    matchNames:
      - storage
  selector:
    matchLabels:
      app: minio
  endpoints:
    - port: minio-api
      path: /minio/v2/metrics/cluster
      interval: 30s
      scrapeTimeout: 10s
